// Low level port/pin macros definitions

#ifndef _PORT_MACROS
#define _PORT_MACROS

#define sbit(x,PORT) ((PORT) |= (1<<(x)))
#define cbit(x,PORT) ((PORT) &= ~(1<<(x)))
#define ibit(x,PORT) ((PORT) ^= (1<<(x)))
#define getbit(x,PORT) ((PORT) & (1<<(x)))

#define CONCAT__(FIRST, SECOND) FIRST##SECOND
#define CONCAT(FIRST, SECOND) CONCAT__(FIRST, SECOND)

#endif	/* _PORT_MACROS */